> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/device/security/restrict-or-release-code-execution.md).

# コード実行を制限または解除

このデバイスを Microsoft 署名済みコードのみに制限するか、制限を解除します

### 説明

Microsoft Defender for Endpoint を通じてこのデバイスを制限し、Microsoft 署名付きのコードのみが実行できるようにします。これにより、攻撃者が配置した可能性のある未署名のツールがブロックされます。既存の制限を解除することもできます。短い理由を指定してください。これは Defender のアクションとともに記録されます。

### 場所

デバイス → セキュリティ → コード実行の制限または解除

**完全な Runbook 名**

rjgit-device\_security\_restrict-or-release-code-execution

### 詳細

| プロパティ    | 値                                   |
| -------- | ----------------------------------- |
| バージョン    | 1.0.1                               |
| 必須モジュール  | RealmJoin.RunbookHelper (>= 0.8.10) |
| スケジュール可能 | いいえ                                 |

### アクセス許可

#### アプリケーションのアクセス許可

* **型**: WindowsDefenderATP
  * Machine.Read.All
    * *aadDeviceId でフィルターされた /machines を使用して Microsoft Defender for Endpoint のマシンを検索します*
  * Machine.RestrictExecution
    * *マシンで restrictCodeExecution または unrestrictCodeExecution をトリガーします*

### パラメーター

#### DeviceId

この runbook が対象とするデバイスの Entra ID デバイス ID。ポータルによって、選択したデバイスから設定されます。

| プロパティ    | 値                        |
| -------- | ------------------------ |
| 必須       | true                     |
| 既定値      |                          |
| 型        | 文字列                      |
| ポータルで非表示 | はい（runbook のカスタマイズで事前設定） |

#### 解除

制限すると、デバイス上で Microsoft 署名付きのコードのみが実行できます。解除すると、既存の制限が解除されます。

| プロパティ    | 値     |
| -------- | ----- |
| 必須       | true  |
| 既定値      | False |
| 型        | ブール値  |
| ポータルの表示名 | アクション |

**ポータル オプション**

| ポータル オプション | 値     |
| ---------- | ----- |
| コード実行を制限   | false |
| コード制限を解除   | true  |

#### コメント

制限またはその解除の短い理由。これは Microsoft Defender for Endpoint のアクションとともに保存されます。

| プロパティ    | 値                     |
| -------- | --------------------- |
| 必須       | true                  |
| 既定値      | セキュリティ上のリスクの可能性があります。 |
| 型        | 文字列                   |
| ポータルの表示名 | 理由                    |

[Runbook リファレンスの概要に戻る](https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.realmjoin.com/ja/zi-dong-hua/runbooks/runbook-references/device/security/restrict-or-release-code-execution.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
